Package ru.bitel.bgbilling.kernel.event.events

# Class ContractStatusChangedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractStatusChangedEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContractStatusChangedEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - cтатус договора изменен.
Вызывается после изменения статуса договора, в том числе, при смене статуса из web.
Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ContractStatusChangedEvent()` |
  `` | `ContractStatusChangedEvent​(ContractStatus status, int userId)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ContractStatus` | `getStatus()` | Возвращает установленный статус договора.
  `int` | `getTypeId()` | Deprecated.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusChangedEvent

    protected ContractStatusChangedEvent()

  - ### ContractStatusChangedEvent

    public ContractStatusChangedEvent​(ContractStatus status, int userId)
    Конструктор события.
    Parameters:
      `status` - - статус договора
      `userId` - - id пользователя, сгенерировавшего событие

- ## Method Details

  - ### getStatus

    public ContractStatus getStatus()
    Возвращает установленный статус договора.
    Returns:
      status - статус договора

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`